Search attribute missing from resolv.conf

Bug #1286028 reported by Igor Shishkin on 2014-02-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Dmitry Pyzhov

Bug Description

After master node deployment (all default, without fuel menu) in it's resolv.conf and dnsmasq.upstream files the only nameserver option is defined.
In this case short hostnames like node-1, node-2 doesn't work because in dnsmasq.conf nodes described with full hostnames.

Please add search option to dnsmasq.upstream and resolv.conf to fix this.

ISO: 224

Igor Shishkin (teran) on 2014-02-28
tags: added: iso
tags: added: dns dnsmasq
removed: iso
summary: - search attribute missed from resolv.conf
+ Search attribute missed from resolv.conf
Igor Shishkin (teran) on 2014-02-28
description: updated
Changed in fuel:
milestone: none → 4.1.1
assignee: nobody → Matthew Mosesohn (raytrac3r)
importance: Undecided → Medium
summary: - Search attribute missed from resolv.conf
+ Search attribute missing from resolv.conf
Changed in fuel:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/78564

Changed in fuel:
status: Confirmed → In Progress
tags: added: backports-4.1.1
Changed in fuel:
milestone: 4.1.1 → 5.0

Reviewed: https://review.openstack.org/78564
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=b1ccb4c5f5294b457a5b86d08c3e77cda9defadf
Submitter: Jenkins
Branch: master

commit b1ccb4c5f5294b457a5b86d08c3e77cda9defadf
Author: Matthew Mosesohn <email address hidden>
Date: Thu Mar 6 13:47:07 2014 +0400

    Add search domain to resolv.conf

    Change-Id: Ibca44534c6a99557d0e0bc46e801bda2122d4a03
    Closes-Bug: #1286028

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/78565
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=3a0d188398b70c8336f6f55cdd6b67653ad75e36
Submitter: Jenkins
Branch: master

commit 3a0d188398b70c8336f6f55cdd6b67653ad75e36
Author: Matthew Mosesohn <email address hidden>
Date: Thu Mar 6 14:05:39 2014 +0400

    Add search domain to dnsmasq.upstream

    Change-Id: I4fdd03ae0785ed21e35923e9a686664febd88035
    Closes-bug: #1286028

Reviewed: https://review.openstack.org/78566
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=413e24473a74254cf98b8ffc5455178e87afe79d
Submitter: Jenkins
Branch: master

commit 413e24473a74254cf98b8ffc5455178e87afe79d
Author: Matthew Mosesohn <email address hidden>
Date: Thu Mar 6 13:26:32 2014 +0400

    add search domain to resolv.conf

    Change-Id: I74c42736313ca33ec310eb3bb640745af43db73a
    Closes-Bug: #1286028

tags: added: in progress
Matthew Mosesohn (raytrac3r) wrote :

this is low hanging fruit to backport to 4.1.1. anyone from fuel python team backport and test

Changed in fuel:
status: Fix Committed → Confirmed
assignee: Matthew Mosesohn (raytrac3r) → Fuel Python Team (fuel-python)

Verified on {"build_id": "2014-04-10_01-00-26", "mirantis": "yes", "build_number": "92", "nailgun_sha": "d593b43f0219447ca8d1434ee69265ab80a5e24f", "production": "dev", "ostf_sha": "17f2fe6e56452f8e2f01a385be4c4b87bf3698a8", "fuelmain_sha": "e8141c470471d872bb9c979d80340c2d56bc21e6", "astute_sha": "35473eb08b16f4778283e993126a4fd15eb1d00f", "release": "5.0", "fuellib_sha": "0e4c251a1ab4aed317aeb79d6859dfcfe1314463"}

Should be backported to 4.1.1

Changed in fuel:
status: Confirmed → Fix Committed
Dmitry Pyzhov (dpyzhov) on 2014-04-16
Changed in fuel:
milestone: 5.0 → 4.1.1
status: Fix Committed → Triaged
Dmitry Pyzhov (dpyzhov) on 2014-05-15
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Dmitry Pyzhov (lux-place)

Reviewed: https://review.openstack.org/93775
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=6fc34ded67231e5e9bbce21a0be2ce18576949c9
Submitter: Jenkins
Branch: stable/4.1

commit 6fc34ded67231e5e9bbce21a0be2ce18576949c9
Author: Matthew Mosesohn <email address hidden>
Date: Thu Mar 6 13:47:07 2014 +0400

    Add search domain to resolv.conf

    Change-Id: Ibca44534c6a99557d0e0bc46e801bda2122d4a03
    Closes-Bug: #1286028

Reviewed: https://review.openstack.org/93776
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=57de6680c01f587e7c2e4b5903317625b62f365a
Submitter: Jenkins
Branch: stable/4.1

commit 57de6680c01f587e7c2e4b5903317625b62f365a
Author: Matthew Mosesohn <email address hidden>
Date: Thu Mar 6 13:26:32 2014 +0400

    add search domain to resolv.conf

    Change-Id: I74c42736313ca33ec310eb3bb640745af43db73a
    Closes-Bug: #1286028

Reviewed: https://review.openstack.org/93777
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=b2faf79c841181af0e1288dd715b463911855d20
Submitter: Jenkins
Branch: stable/4.1

commit b2faf79c841181af0e1288dd715b463911855d20
Author: Matthew Mosesohn <email address hidden>
Date: Thu Mar 6 14:05:39 2014 +0400

    Add search domain to dnsmasq.upstream

    Change-Id: I4fdd03ae0785ed21e35923e9a686664febd88035
    Closes-bug: #1286028

Dmitry Pyzhov (dpyzhov) on 2014-05-21
Changed in fuel:
status: Triaged → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers